Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4125 - Bug with rpc.quotas and md0 devices
Summary: Bug with rpc.quotas and md0 devices
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-20 19:29 UTC by Daniel Rogers
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 18:13:51 UTC


Attachments (Terms of Use)

Description Daniel Rogers 1999-07-20 19:29:07 UTC
In nfsmount_to_devname() in rquota_server.c, there is no
consideration given to block and character devices.

Therefore, if you have a /dev/md0, and it finds /dev/st0
first, it'll return and try to check quotas on it.

Comment 1 Jeff Johnson 1999-07-28 18:13:59 UTC
The rquotad in knfsd-1.4.6 checks for a block device.


Note You need to log in before you can comment on or make changes to this bug.